package cn.superdesk.uniorder.dubbo.provider._permission;

import cn.superdesk.uniorder.dao.entity.setting.UnifiedService;
import cn.superdesk.uniorder.dubbo.facade._permission.DubboPermissionCustomerService;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionOrg;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionVirt;
import cn.superdesk.uniorder.service._permission.PermissionService;
import com.alibaba.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * @Description: 用于数据权限
 * @Author: linjinyu
 * @CreateDate: 9/4/20 3:36 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 9/4/20 3:36 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 30000)
public class DubboPermissionCustomerServiceImpl implements DubboPermissionCustomerService {


	@Resource
	private PermissionService permissionService;

	@Override
	public List<SelectOptionOrg> convertSelectPermOrg(List<Long> outOrgIds) {
		return permissionService.convertSelectPermOrg(outOrgIds);
	}

	@Override
	public List<SelectOptionVirt> convertSelectPermVirt(List<Long> outVirtIds) {
		return permissionService.convertSelectPermVirt(outVirtIds);
	}

	@Override
	public String getPermOutOrgIds(String token) {
		return permissionService.getPermOutOrgIds(token);
	}

	@Override
	public String getPermOutVirtIds(String token) {
		return permissionService.getPermOutVirtIds(token);
	}

	@Override
	public List<SelectOptionOrg> getSelectPermOrgByToken(String token) {
		return permissionService.getSelectPermOrgByToken(token);
	}

	@Override
	public List<SelectOptionVirt> getSelectPermVirtByToken(String token) {
		return permissionService.getSelectPermVirtByToken(token);
	}

    @Override
    public List<UnifiedService> getAsOrderType(String token) {
        return permissionService.getAsOrderType(token);
    }

	@Override
	public String getPermOutSaleId(String token) {
		return permissionService.getPermOutSaleId(token);
	}

	@Override
	public String getPermOutSaleName(String token) {
		return permissionService.getPermOutSaleName(token);
	}
}
